### Hierarchy

- MatchCreatedEventHandler

### Implements

- IEventHandler

## Index

### Constructors

- constructor

### Properties

- eventName
- handler

## Constructors

### constructor

- new MatchCreatedEventHandler(handler: function): MatchCreatedEventHandler

- - Defined in Handlers.ts:17

  #### Parameters

  - ##### handler: function

    - - (message: MatchCreatedMessage): void

      - #### Parameters

        - ##### message: MatchCreatedMessage

        #### Returns void

  #### Returns MatchCreatedEventHandler

## Properties

### eventName

eventName: MatchCreated

Implementation of IEventHandler.eventName

- Defined in Handlers.ts:17

### handler

handler: function

Implementation of IEventHandler.handler

- Defined in Handlers.ts:18

#### Type declaration

- - (message: MatchCreatedMessage): void

  - #### Parameters

    - ##### message: MatchCreatedMessage

    #### Returns void

Generated using TypeDoc